'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InfoLabel = undefined;

var _styles = require('@material-ui/core/styles');

var _Grid = require('@material-ui/core/Grid');

var _Grid2 = _interopRequireDefault(_Grid);

var _InformationCircle = require('material-ui-apollo-icons/InformationCircle');

var _InformationCircle2 = _interopRequireDefault(_InformationCircle);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Tooltip = require('@material-ui/core/Tooltip');

var _Tooltip2 = _interopRequireDefault(_Tooltip);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  popper: {
    width: '15%'
  },
  infoLabelIcon: {
    height: '18px',
    width: '18px'
  }
};

var InfoLabel = exports.InfoLabel = function InfoLabel(_ref) {
  var label = _ref.label,
      tooltip = _ref.tooltip,
      classes = _ref.classes;
  return _react2.default.createElement(
    _Grid2.default,
    { container: true, spacing: 8, alignItems: 'center' },
    _react2.default.createElement(
      _Grid2.default,
      { item: true },
      label
    ),
    _react2.default.createElement(
      _Grid2.default,
      { item: true },
      _react2.default.createElement(
        _Tooltip2.default,
        { title: tooltip, PopperProps: { className: classes.popper } },
        _react2.default.createElement(_InformationCircle2.default, { className: classes.infoLabelIcon })
      )
    )
  );
};

InfoLabel.displayName = 'InfoLabel';

exports.default = (0, _styles.withStyles)(styles, { name: 'InfoLabel' })(InfoLabel);